Bug 1560693 - Stop CF pestering OpenStack for Swift status when there is no Swift.
Summary: Stop CF pestering OpenStack for Swift status when there is no Swift.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.8.4
Assignee: Jerry Keselman
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1458959
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-26 19:06 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
8 users (show)

Fixed In Version: 5.8.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1458959
Environment:
Last Closed: 2018-06-25 14:19:13 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19:47 UTC

Comment 2 CFME Bot 2018-04-09 18:37:15 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/911187cca1a50bed11d6c33ffb9c91229981d12c
commit 911187cca1a50bed11d6c33ffb9c91229981d12c
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Wed Mar 21 14:30:20 2018 -0400
Commit:     Richard Oliveri <oliveri.richard.github@gmail.com>
CommitDate: Wed Mar 21 14:30:20 2018 -0400

    Merge pull request #17067 from jerryk55/fix_swift_refresher_when_no_swift

    Fail Cinder/Swift Ensures if Service not Present
    (cherry picked from commit 9b54d9818f7fc709ecf1396cde2ab30d7891cc4f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1560693

 app/models/manageiq/providers/storage_manager/cinder_manager/refresh_parser.rb | 8 +-
 app/models/manageiq/providers/storage_manager/swift_manager/refresh_parser.rb | 2 +-
 spec/models/manageiq/providers/cloud_manager_spec.rb | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

Comment 3 CFME Bot 2018-04-09 22:01:35 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/dbfabf573d3019143d6d1c3c6c55fc7007496a0e
commit dbfabf573d3019143d6d1c3c6c55fc7007496a0e
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Thu Mar 22 17:45:49 2018 -0400
Commit:     Richard Oliveri <oliveri.richard.github@gmail.com>
CommitDate: Thu Mar 22 17:45:49 2018 -0400

    Merge pull request #240 from jerryk55/dont_add_uninitialized_storage_managers

    Dont return Storage Services if They arent present
    (cherry picked from commit 97fb7eeecc225409e5be604ae8e9e5f103f579d2)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1560693

 app/models/manageiq/providers/openstack/cloud_manager.rb | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 4 Jadh 2018-05-02 11:12:26 UTC
Verified on 5.8.4.2

Comment 6 errata-xmlrpc 2018-06-25 14:19:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.